tensor_norm.h File Reference
`#include <cmath>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/complex.h"`
`#include "cutlass/tensor_ref.h"`
`#include "cutlass/util/reference/host/tensor_foreach.h"`
Include dependency graph for tensor_norm.h:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::host

## Functions

template<typename Element , typename Layout , typename ElementReduction >
ElementReduction | cutlass::reference::host::TensorNorm (TensorView< Element, Layout > view, ElementReduction accumulator)
| Computes the p=2 norm of the elements of a tensor with arbitrary reduction data type. More...
template<typename Element , typename Layout >
double | cutlass::reference::host::TensorNorm (TensorView< Element, Layout > view)
| Computes the p=2 norm of the elements of a tensor. More...